# addBooleanOption

open fun addBooleanOption(option: String): JavadocOptionFileOption<Boolean>

Adds an option that will be supplied or not without further arguments. Calling this method behaves exactly like calling `addBooleanOption(option, false)`.

`addBooleanOption("Xdoclint:all,-missing")` will not produce any arguments.

`addBooleanOption("Xdoclint:all,-missing").setValue(true)` will produce the command-line

        -Xdoclint:all,-missing

Content copied to clipboard

#### Return

an option object to further configure the value

#### Parameters

option

command-line option identifier

open fun addBooleanOption(option: String, value: Boolean): JavadocOptionFileOption<Boolean>

Adds an option that will be supplied or not without further arguments.

`addBooleanOption("Xdoclint:all,-missing", true)` will produce the command-line

        -Xdoclint:all,-missing

Content copied to clipboard

A value of `false` will make the option not be supplied and can be used to unset an option that previously was set.

The returned option object can also be used to further configure the value.

`addBooleanOption("Xdoclint:all,-missing", false).setValue(true)` will produce the command-line

        -Xdoclint:all,-missing

Content copied to clipboard

#### Return

an option object to further configure the value

#### Parameters

option

command-line option

value

whether to supply the option or not